Check Point Advisories

Adobe Reader FlateDecode Parameters Integer Overflow (APSB09-07; CVE-2009-1856; CVE-2009-3957)

Check Point Reference: CPAI-2009-186
Date Published: 10 Jun 2009
Severity: High
Last Updated: 10 May 2017
Source:
Industry Reference:CVE-2009-1856
CVE-2009-3957
Protection Provided by:

Security Gateway
R80, R77, R76, R75, R71, R70

Who is Vulnerable?
Vulnerability Description Portable Document Format (PDF) is an open file format created by Adobe Systems.It is used for representing two-dimensional documents in a device and resolution independent fixed-layout document format. Successful exploitation of this issue will cause the application to become non-responsive, and may allow execution of arbitrary code on an affected system.

Protection Overview

This protection will detect and block attempts to transfer malformed PDF files over HTTP.

In order for the protection to be activated, update your Security Gateway product to the latest IPS update.For information on how to update IPS, go to SBP-2006-05, click on Protection tab and select the version of your choice.

Security Gateway R80 / R77 / R76 / R75 / R71 / R70

  1. In the IPS tab, click Protections and find the Adobe Reader FlateDecode Parameters Integer Overflow (APSB09-07) protection using the Search tool and Edit the protection's settings.
  2. Install policy on all modules.

This protection's log will contain the following information:

Attack Name:  Adobe Reader Violation.
Attack Information:  Adobe Reader FlateDecode Parameters Integer Overflow (APSB09-07)

This website uses cookies to ensure you get the best experience. Got it, Thanks! MORE INFO